;;;
;;; L'valuateur impratif de programmes machine:
;;;  Exemple:  (mexec ((ld R0 A)
;;;                    (ld R1 B)
;;;                    (add R0 R1)
;;;                    (ld R1 C))
;;;                   ((A . 12) (B . 24) (C . 36)))
;;;
;;;               aura pour macro-expansion directe la forme Scheme directement
;;;               excutable (si "ld" et "add" sont des macros dfinies
;;;               de manire approprie):
;;;
;;;            (begin  (define A 12)
;;;                    (define B 24)
;;;                    (define C 36)
;;;                    (define R0 ())
;;;                    (define R1 ())
;;;                    (ld R0 A)
;;;                    (ld R1 B)
;;;                    (add R0 R1)
;;;                    (ld R1 C)
;;;                    R0)
;;;

;;;
;;; L'valuation de mexec  fournit le resultat suivant:
;;;   mexec: program, environment -> number | error
